Recent

Author Topic: Can't install Gecko browser on Lazarus 1.0.14 - Linux  (Read 7595 times)

mohamedyousof

  • New Member
  • *
  • Posts: 14
Can't install Gecko browser on Lazarus 1.0.14 - Linux
« on: December 21, 2013, 11:19:59 pm »
Hello every body

I tried to install Gecko component v1 and v2 on Lazarus, my system is Ubuntu 13.04 but I got the error
"/home/mohamed/version1/Components/GeckoBrowser.pas(2350) Fatal: There were 1 errors compiling module, stopping" when I press compile
in windows it completed successfully but in Ubuntu no, I installed  mingw32-binutils but still the same

can any one help in this

thanks

typo

  • Hero Member
  • *****
  • Posts: 3051
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #1 on: December 22, 2013, 12:03:41 am »
Your message says that "There were 1 errors compiling module" but does not say which is the error. Try to copy the message describing the error.

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #2 on: December 22, 2013, 10:11:10 am »
Dear friend

these are all messages

/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(907,3) Note: Local variable "ok" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(908,3) Note: Local variable "versions" is assigned but never used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(909,3) Note: Local variable "properties" is assigned but never used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(910,3) Note: Local variable "GeckoVersion" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(898,17) Hint: Parameter "versionsLength" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(900,17) Hint: Parameter "propertiesLength" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(1857,3) Note: Local variable "greEnv" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsInit.pas(1724,3) Note: Local variable "GRELocation" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoChromeWindow.pas(207,27) Hint: Conversion between ordinals and pointers is not portable
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoChromeWindow.pas(207,14) Hint: Conversion between ordinals and pointers is not portable
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoChromeWindow.pas(90,53) Hint: Parameter "status" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoChromeWindow.pas(113,107) Hint: Parameter "aMessage" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsNetUtil.pas(74,29) Hint: Parameter "ioService" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsNetUtil.pas(82,86) Hint: Parameter "ioService" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsErrorUtils.pas(48,3) Note: Local variable "NS_IERRORSERVICE_CID" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsErrorUtils.pas(49,3) Hint: Local const "NS_ERRORSERVICE_NAME" is not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsErrorUtils.pas(51,3) Note: Local variable "NS_ERRORSERVICE_CID" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(168,3) Hint: Local const "libxul" is not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(171,3) Note: Local variable "vers" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(172,3) Note: Local variable "xpcomPath" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(173,3) Note: Local variable "lastSlash" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(174,3) Note: Local variable "MOZILLAFIVEHOME" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(46,28) Hint: Parameter "lowerVer" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(47,22) Hint: Parameter "lowerInclusive" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(48,28) Hint: Parameter "upperVer" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/nsXRE.pas(49,22) Hint: Parameter "upperInclusive" not used
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoBrowser.pas(2087,26) Hint: Conversion between ordinals and pointers is not portable
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoBrowser.pas(2087,13) Hint: Conversion between ordinals and pointers is not portable
windres" not found, switching to external mode
/home/mohamed/Downloads/programs/lazarus components/geckoport_v1/Components/GeckoBrowser.pas(2350) Fatal: There were 1 errors compiling module, stopping

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 8734
  • FPC developer.
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #3 on: December 22, 2013, 12:11:20 pm »
You are missing windres, the resource compiler. On Windows it comes with binutils or coreutils. I don't know in what package ubuntu stores it, but my guess would be mingw(something)binutils  and -coreutils.

Beside the ubuntu packages might prefix them with i386-mingw32-windres or so, maybe creating a symlink is needed.

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #4 on: December 22, 2013, 12:16:30 pm »
You are missing windres, the resource compiler.
@mohamedyousof: Have a look here:
http://wiki.lazarus.freepascal.org/Lazarus_Resources#Checking_you_have_windres

(and hint to FPC packagers for Debian/Ubuntu/*: when are you going to add windres at the least as an optional/suggested dependency?)
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #5 on: December 22, 2013, 01:02:59 pm »
thanks for your reply

You are missing windres, the resource compiler.
@mohamedyousof: Have a look here:
http://wiki.lazarus.freepascal.org/Lazarus_Resources#Checking_you_have_windres

(and hint to FPC packagers for Debian/Ubuntu/*: when are you going to add windres at the least as an optional/suggested dependency?)
when I went to link above and add the line "sudo ln -s /usr/bin/i586-mingw32msvc-windres /usr/bin/windres" in terminal it returns nothing
on the other hand my system is 64 bit and I found some discussions says it works only on 32 bit systems

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #6 on: December 22, 2013, 01:15:17 pm »
Your paths probably are not correct then. BTW: I have windres working on x64 Debian just fine. Yes, I might have had to install a different package name or adjust the path. No, I don't know the exact commands I used.... but it should be easy to figure out for somebody with some Linux knowledge.
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #7 on: December 22, 2013, 02:49:06 pm »
thanks for your reply, I'll try and let you know

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #8 on: December 22, 2013, 02:50:38 pm »
Oh btw, it's not strange that ln -s doesn't return anything. Try running windres -h and see what happens...
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #9 on: December 22, 2013, 04:48:50 pm »
Sorry what will be the command?

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #10 on: December 22, 2013, 05:28:34 pm »
problem solved with unexpected solution, I tried to install any package related to "MinGw" and "binutils" but problem still not solved and after all I opened terminal and opened lazarus as root, it compiled and component installed  :)

Thanks for your time  :)

mohamedyousof

  • New Member
  • *
  • Posts: 14
Re: Can't install Gecko browser on Lazarus 1.0.14 - Linux
« Reply #11 on: December 22, 2013, 06:56:23 pm »
Sorry for so much questions but the next step to get it work is to register the xulrunner, when I tried to follow the steps in the following page
https://developer.mozilla.org/en-US/docs/XULRunner_1.9.2_Release_Notes
it doesn't work, what I did was as follows:
1- tar -xjf xulrunner-3.6.26.en-US.linux-i686.tar.bz2 and copied the folder xulrunner into the path /opt/xulrunner/1.9.2
3- run the command "sudo xulrunner --register-global" but it gave me the following: "sudo: xulrunner: command not found"

 

TinyPortal © 2005-2018